TopGroupsFieldCommand.Builder (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.distributed.command.TopGroupsFieldCommand.Builder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.distributed.command
Class TopGroupsFieldCommand.Builder

    java.lang.Object
      org.apache.solr.search.grouping.distributed.command.TopGroupsFieldCommand.Builder

Enclosing class:
  TopGroupsFieldCommand

    public static class TopGroupsFieldCommand.Builder

extends Object

Constructor Summary
`TopGroupsFieldCommand.Builder()`

Method Summary
`TopGroupsFieldCommand` | `build()`
`TopGroupsFieldCommand.Builder` | `setField(SchemaField field)`
`TopGroupsFieldCommand.Builder` | `setFirstPhaseGroups(Collection<SearchGroup<String>> firstPhaseGroups)`
`TopGroupsFieldCommand.Builder` | `setGroupSort(Sort groupSort)`
`TopGroupsFieldCommand.Builder` | `setMaxDocPerGroup(int maxDocPerGroup)`
`TopGroupsFieldCommand.Builder` | `setNeedMaxScore(Boolean needMaxScore)`
`TopGroupsFieldCommand.Builder` | `setNeedScores(Boolean needScores)`
`TopGroupsFieldCommand.Builder` | `setSortWithinGroup(Sort sortWithinGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopGroupsFieldCommand.Builder

    public TopGroupsFieldCommand.Builder()

Method Detail

### setField

    public TopGroupsFieldCommand.Builder setField(SchemaField field)

### setGroupSort

    public TopGroupsFieldCommand.Builder setGroupSort(Sort groupSort)

### setSortWithinGroup

    public TopGroupsFieldCommand.Builder setSortWithinGroup(Sort sortWithinGroup)

### setFirstPhaseGroups

    public TopGroupsFieldCommand.Builder setFirstPhaseGroups(Collection<SearchGroup<String>> firstPhaseGroups)

### setMaxDocPerGroup

    public TopGroupsFieldCommand.Builder setMaxDocPerGroup(int maxDocPerGroup)

### setNeedScores

    public TopGroupsFieldCommand.Builder setNeedScores(Boolean needScores)

### setNeedMaxScore

    public TopGroupsFieldCommand.Builder setNeedMaxScore(Boolean needMaxScore)

### build

    public TopGroupsFieldCommand build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD